Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class Day

    java.lang.Object
      org.apache.axis.types.Day

All Implemented Interfaces:
  Serializable

public class Day
extends Object
implements Serializable

Implementation of the XML Schema type gDay

Author:
  Tom Jordahl
See Also:
  XML Schema 3.2.13, Serialized Form

Constructor Summary
`Day(int day)` Constructs a Day with the given values No timezone is specified
`Day(int day, String timezone)` Constructs a Day with the given values, including a timezone string The timezone is validated but not used.
`Day(String source)` Construct a Day from a String in the format ---DD[timezone]

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getDay()`
`String` | `getTimezone()`
`void` | `setDay(int day)` Set the day
`void` | `setTimezone(String timezone)`
`void` | `setValue(int day)`
`void` | `setValue(int day, String timezone)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Day

    public Day(int day)
        throws NumberFormatException

  Constructs a Day with the given values No timezone is specified

### Day

    public Day(int day,
               String timezone)
        throws NumberFormatException

  Constructs a Day with the given values, including a timezone string The timezone is validated but not used.

### Day

    public Day(String source)
        throws NumberFormatException

  Construct a Day from a String in the format ---DD[timezone]

Method Detail

### getDay

    public int getDay()

### setDay

    public void setDay(int day)

  Set the day

### getTimezone

    public String getTimezone()

### setTimezone

    public void setTimezone(String timezone)

### setValue

    public void setValue(int day,
                         String timezone)
                  throws NumberFormatException

  Throws:
    `NumberFormatException`

### setValue

    public void setValue(int day)
                  throws NumberFormatException

  Throws:
    `NumberFormatException`

### toString

    public String toString()

### equals

    public boolean equals(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.